Page MenuHomePhabricator

The phab.wiki domain redirect suddenly outputs "404, this domain is not configured"
Closed, ResolvedPublic

Description

https://phab.wiki is/was a domain that acted as a redirect to https://phabricator.wikimedia.org e.g. https://phab.wiki/1 would redirect you to https://phabricator.wikimedia.org/T1.

I noticed today that said domain no longer redirects here but instead displays a "404, this domain is not configured". Was it ever owned by us? I can't see any WHOIS data (everything is redacted).

That domain was used on several emails and mailing lists archives, and I guess this means that those links are now broken.

I am not sure of what happened: misconfiguration, domain expiration (either intentional or not), but given that it was something that worked until recently and now suddenly it does not, without any advance notice I am aware of, I thought I shall file a Task.

Thanks for your time.

Related Objects

Event Timeline

phab.wiki has address 104.21.94.13
phab.wiki has address 172.67.218.54
phab.wiki has IPv6 address 2606:4700:3033::6815:5e0d
phab.wiki has IPv6 address 2606:4700:3035::ac43:da36
 whois -h whois.cloudflare.com phab.wiki
Domain Name: PHAB.WIKI
Registry Domain ID: D118593981-CNIC
Registrar WHOIS Server: whois.cloudflare.com
Registrar URL: https://www.cloudflare.com
Updated Date: 2021-07-20T19:27:15Z
Creation Date: 2019-08-19T12:21:45Z
Registrar Registration Expiration Date: 2022-08-19T23:59:59Z
Registrar: Cloudflare, Inc.
Registrar IANA ID: 1910
Domain Status: clienttransferprohibited https://icann.org/epp#clienttransferprohibited
Registry Registrant ID:
Registrant Name: DATA REDACTED

Hi @MarcoAurelio

thanks for the report!

I wasn't aware of this domain name and after searching in some places (my own email, Phabricator, DNS/whois, Internet Archive, Codesearch) and per IRC discussion.. we can't find much about this at all.

I don't see signs of this being owned by WMF now or in the past.

The IP/whois data above show it all points to Cloudflare and the registrar name is redacted.

It seems somebody registered this on their own and stopped the redirect, we don't know if that was intentional or not.

Per IRC discussion it seems a good idea to ask a mailing list with many eyes on it whether they know the owner.

@mmodell Did you know phab.wiki ?

@Dzahn Searching through my inbox, the first occurence of phab.wiki is from 2019, so it has been around for a short while. I thought it was a WMF domain as around those dates w.wiki started operating too. Thanks for taking a look.

Let me try to find the original old list of all the .wiki domains WMF once had. Will get back to you.

@MarcoAurelio I still have an email from 2014 (!sic) that talks about .wiki domains and has a list that WMF was going to get. Above all the w.wiki we actually have as the URL shortener today but also many others. I can also see that WMF still renewed a bunch of .wiki domains early this year of 2021.

But "phab.wiki" is not among either of these lists.

I could neither find nor remember any trace of the domain phab.wiki either here...

But I can confirm it does pop up in Google search results. maybe it's possible Phacility owns/owned that and pointed to us as the largest public phab install? Or a private 3rd party created it for convenience.

Great detective work @Zabe, Thanks! added @revi

Hi @revi :)

@revi
timestamps:
https://web.archive.org/web/*/https://phab.wiki/*
1
https://web.archive.org/web/2019*/https://phab.wiki/233608
https://web.archive.org/web/20190923105346/https://phab.wiki/233608

Loading...

https://phab.wiki/233608 |
	    10:53:46 September 23, 2019

Got an HTTP 301 response at crawl time

Redirecting to...

https://phabricator.wikimedia.org/T233608

2
https://web.archive.org/web/2019*/https://phab.wiki/240518
https://web.archive.org/web/20191215172747/https://phab.wiki/240518

Loading...

https://phab.wiki/240518 |
	    17:27:47 December 15, 2019

Got an HTTP 301 response at crawl time

Redirecting to...

https://phabricator.wikimedia.org/T240518

3
https://web.archive.org/web/*/https://phab.wiki/robots.txt
20190923105345 - 404
20190923105401 - 404
20191215172745 - 404

Dzahn changed the task status from Open to In Progress.Dec 21 2021, 12:52 AM
Dzahn assigned this task to revi.
revi moved this task from Incoming to Closed on the User-revi board.

OOOOOOOOHHHHHHHHHH

Was doing some cleanups for my now-defunct server (which was handling the redirect) and I forgot to do "publish" and went to bed.

Should work again.

(To be honest, I am very surprised that someone other than me was using the redirection, lol)

@revi Thank you very much!

(To be honest, I am very surprised that someone other than me was using the redirection, lol)

It's always like this, the service you least expect to be used is actually used and other way around, I guess :))